
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include("${CMAKE_CURRENT_LIST_DIR}/serialization_utilsTargets.cmake")

include(CMakeFindDependencyMacro)

if(${CMAKE_VERSION} VERSION_LESS "3.15.0")
  # we do not add the other dependencies because these are header files lib
  find_package(mpi_cmake_modules REQUIRED)
  find_package(cereal REQUIRED)
  find_package(Boost REQUIRED COMPONENTS iostreams)

  # optional dep
  find_package(OpenCV QUIET)
else()
  # we do not add the other dependencies because these are header files lib
  find_dependency(mpi_cmake_modules REQUIRED)
  find_dependency(cereal REQUIRED)
  find_dependency(Boost REQUIRED COMPONENTS iostreams)

  # optional dep
  find_dependency(OpenCV QUIET)
endif()

check_required_components(serialization_utils)
